dist/positions/index.html
<!DOCTYPE html><head><script nomodule defer src="/positions/uni-v3/index.84dd01c5.js"></script><script type="module" src="/positions/uni-v3/index.7c41a846.js"></script><meta charset="utf-8"><title>Positions Viewer</title><meta name="description" content="View Uniswap v3 LP Positions for a given address(s)"><meta name="viewport" content="width=device-width, user-scaleable=no"><style>*{box-sizing:border-box;font-family:Inter,sans-serif}@font-face{font-family:Inter custom;font-weight:100 900;font-style:normal;font-display:block;font-named-instance:Regular;src:url(../Inter-roman.var.9e307660.woff2)format("woff2 supports variations(gvar)"),url(../Inter-roman.var.9e307660.woff2)format("woff2-variations"),url(../Inter-roman.var.9e307660.woff2)format("woff2")}@font-face{font-family:Material Symbols Sharp;font-style:normal;font-weight:100 700;font-feature-settings:"liga";font-smoothing:antialiased;font-variation-settings:"FILL" 0,"wght" 200,"GRAD" 0,"opsz" 48;src:url(../MaterialIconsSharp-Regular.6528620f.woff2)format("woff2")}.gms,.icon{letter-spacing:normal;text-transform:none;vertical-align:text-bottom;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-feature-settings:"liga";-webkit-font-smoothing:antialiased;font-variation-settings:"FILL" 0,"wght" 200,"GRAD" 0,"opsz" 48;font-family:Material Symbols Sharp;font-style:normal;font-weight:400;line-height:.8;display:inline-block}@supports (font-variation-settings: normal){*{font-family:Inter custom,sans-serif}}body,html{min-height:100%;width:100%;margin:0;padding:0}button{-webkit-user-select:none;user-select:none}:root{color-scheme:light dark;--primary-color:#fff;--not-primary-color:#848484;--error-color:${cs-dark__error-color};--background-color:#212429;--background-gradient:radial-gradient(50% 50% at 50% 50%,#074afc4a 0,#360de81a 100%)}@media (prefers-color-scheme:dark){:root{color-scheme:dark;--primary-color:#fff;--not-primary-color:#848484;--error-color:${cs-dark__error-color};--background-color:#212429;--background-gradient:radial-gradient(50% 50% at 50% 50%,#074afc4a 0,#360de81a 100%)}}:root._colorscheme-dark{color-scheme:dark;--primary-color:#fff;--not-primary-color:#848484;--error-color:${cs-dark__error-color};--background-color:#212429;--background-gradient:radial-gradient(50% 50% at 50% 50%,#074afc4a 0,#360de81a 100%)}@media (prefers-color-scheme:light){:root{color-scheme:light;--primary-color:#000;--not-primary-color:#575757;--error-color:${cs-light__error-color};--background-color:#f7f8fa;--background-gradient:radial-gradient(50% 50% at 50% 50%,#ebb90d1a 0,#074afc42 100%)}}:root._colorscheme-light{color-scheme:light;--primary-color:#000;--not-primary-color:#575757;--error-color:${cs-light__error-color};--background-color:#f7f8fa;--background-gradient:radial-gradient(50% 50% at 50% 50%,#ebb90d1a 0,#074afc42 100%)}html{font-variant:none;font-smooth:always;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;-webkit-tap-highlight-color:transparent;font-feature-settings:"ss01" on,"ss02" on,"cv01" on,"cv03" on;color:var(--primary-color);background:var(--background-color);font-size:16px}.background{pointer-events:none;width:200vw;height:200vh;background:var(--background-gradient);z-index:-1;position:fixed;top:0;left:0;right:0;transform:translate(-50vw,-100vh)}</style><link rel="stylesheet" href="/index.7cd28b59.css"></head><div class="world"><noscript>You gotta have javascript for this to work. Sry</noscript><header><h1>Positions Viewer<br><small><a href="/">Tools</a></small><small><a href="/liquidity">Liquidity</a></small></h1><div class="togglers"><div class="history" data-controller="history"><div class="toggler" data-action="click-&gt;history#toggle"><span class="icon">history</span></div><div class="history-container"><div class="closer toggler" data-action="click-&gt;history#toggle"><span class="icon">close</span><span>Close</span></div><div class="history-list" data-history-target="list"></div></div></div><div class="theme-selector" data-controller="theme"><div class="toggler" data-theme-target="switcher" data-action="click-&gt;theme#toggleTheme"><span class="icon">light_mode</span></div></div></div></header><section class="content"><section class="blocks"><div class="block"><div class="label">Choose your dex</div><div class="dex-selector"><a href="/positions/uni-v3"><img src="/uniswap.bcf40c2f.png"></a><a href="/positions/9mm-v3"><img src="/9mm.e9de4526.png"></a><a href="/positions/9inch-v3"><img src="/9inch.c4065aa1.png"></a></div></div></section></section><footer><div class="credits"><h3>Made with <span style="font-family:system-ui">❤️</span> by <a href="https://korkey.tech/">korkey.eth</a></h3></div></footer></div><div class="background"></div><script data-goatcounter="https://stats.korkey.tech/count" async src="https://stats.korkey.tech/count.js"></script><script type="module" src="/index.fc9c78e3.js"></script><script src="/index.0d76eab7.js" nomodule defer></script>

src/liquidity/index.pug
extends ../layout

block pageMeta
  title Liquidity Viewer
  meta(name='description' content='Search for pairs on various dexes and view their liquidity spread')

block header
  h1
    | Liquidity Viewer
    br
    small
      a(href="/") Tools
    small
      a(href="/positions") Positions

block content
  section.blocks
    .block
      .label Choose your dex
      .dex-selector
        a(href="/src/liquidity/uni-v3/index.pug")
          img(src="~/src/lib/assets/images/uniswap.png")
        a(href="/src/liquidity/9mm-v3/index.pug")
          img(src="~/src/lib/assets/images/9mm.png")
        a(href="/src/liquidity/9inch-v3/index.pug")
          img(src="~/src/lib/assets/images/9inch.png")
